$var1: #000000
$var2: #ffffff
$var3: #eeeeee
$var4: #028ae9
/* общие настройки вида страницы */
html
  background: $var1
  font-family: 'Noto Serif', serif
  -webkit-font-smoothing: antialiased
  text-align: center
/* заголовок */
h1
  color: $var2
  font-size: 50px
  font-weight: 400
  letter-spacing: 0.18em
  text-transform: uppercase
  margin: 0
/* подзаголовок */
h2
  color: $var2
  font-size: 24px
  font-style: italic
  font-weight: 400
  margin: 0 0 30px
/* настройки внешнего вида ноты, которая появляется над клавишами */
.nowplaying
  font-size: 120px
  line-height: 1
  color: $var3
  text-shadow: 0 0 5rem $var4
  transition: all .07s ease
  min-height: 120px
/* общие настройки для всего блока клавиш */
.keys
  display: block
  width: 100%
  height: 350px
  max-width: 880px
  position: relative
  margin: 40px auto 0
  cursor: none
  &:hover .hints
    opacity: 1
/* общие настройки внешнего вида клавиш */
  /* внешний вид белых клавиш */
    /* внешний вид и положение чёрных клавиш */
.key
  position: relative
  border: 4px solid black
  border-radius: .5rem
  transition: all .07s ease
  display: block
  box-sizing: border-box
  z-index: 2
  &:not(.sharp)
    float: left
    width: 10%
    height: 100%
    background: rgba(255, 255, 255, .8)
  &.sharp
    position: absolute
    width: 6%
    height: 60%
    background: $var1
    color: $var3
    top: 0
    z-index: 3
  &[data-key="87"] /* настройки смещения текста подсказок, чтобы они оказались на каждой клавише*/
    left: 7%

  &[data-key="69"]
    left: 17%

  &[data-key="84"]
    left: 37%

  &[data-key="89"]
    left: 47%

  &[data-key="85"]
    left: 57%

  &[data-key="79"]
    left: 77%

  &[data-key="80"]
    left: 87%
    /* подсвечиваем нажатую клавишу */
.playing
  transform: scale(.95)
  border-color: $var4
  box-shadow: 0 0 1rem $var4
  /* настройка внешнего вида подсказок на клавишах */
.hints
  display: block
  width: 100%
  opacity: 0
  position: absolute
  bottom: 7px
  transition: opacity .3s ease-out
  font-size: 20px
